--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,9 +1,7 @@
 PROJECT(ponyprog)
 
 # Configure CMake ...
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8 FATAL_ERROR)
-# CMAKE_POLICY(SET CMP0003 OLD)
-# CMAKE_POLICY(SET CMP0015 OLD)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12 FATAL_ERROR)
 
 # set the Qt version to 4 or 5
 OPTION (USE_QT5 "Using of Qt5 version for compiling" ON)
@@ -52,15 +50,7 @@
 OPTION (USE_PROFILER "Include in binary file profiling information" OFF)
 
 
-
-IF(${USE_DEBUGGER})
-  SET(CMAKE_BUILD_TYPE Debug)
-  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
-ELSE()
-  SET(CMAKE_BUILD_TYPE Release)
-  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_RELEASE} -Wall")
-ENDIF()
-
+ADD_COMPILE_OPTIONS("-Wall")
 MESSAGE(STATUS "CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS}")
 
 INCLUDE(CheckIncludeFile)
@@ -202,7 +192,6 @@
 SET ( UI_HEADERS_DIR temp )
 SET ( UI_SOURCES_DIR temp )
 
-ADD_SUBDIRECTORY(qhexedit2/src)
 ADD_SUBDIRECTORY(SrcPony)
 
 INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/qhexedit2/src/ ${CMAKE_CURRENT_SOURCE_DIR}/SrcPony/ )
@@ -265,6 +254,8 @@
   MESSAGE(STATUS "QT LIBRARIES: ${QT_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Multimedia_LIBRARIES} ${Qt5PrintSupport_LIBRARIES} ${Qt5Core_LIBRARIES}")
 ENDIF()
 
+TARGET_LINK_LIBRARIES(${CMAKE_PROJECT_NAME} qhexedit)
+
 ADD_CUSTOM_TARGET (tags
     COMMAND  ctags -R -f tags ${CMAKE_SOURCE_DIR}/SrcPony
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
